package com.prolog.upcloud.base.wh.operate.vo;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Arrays;
import java.util.StringJoiner;

/**
 * 货主转换源单转换WMS单据参数
 *
 * @author wujunjie
 */
public class CargoChangeSourceParamsVO {
    @NotNull(message = "required")
    @Size(min = 1, message = "required")
    private String[] billnos;

    public String[] getBillnos() {
        return billnos;
    }

    public void setBillnos(String[] billnos) {
        this.billnos = billnos;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", CargoChangeSourceParamsVO.class.getSimpleName() + "[", "]")
                .add("billnos=" + Arrays.toString(billnos))
                .toString();
    }
}
